Bug 168465 - Athlon 64 cpu frequency
Athlon 64 cpu frequency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cpufreq-utils (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 11:00 EDT by John Mizell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 10:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output (19.76 KB, text/plain)
2005-09-29 10:54 EDT, John Mizell
no flags Details

  None (edit)
Description John Mizell 2005-09-16 11:00:54 EDT
Description of problem:
Anaconda does not configure AMD64 processor to do cpu frequency.
My processor would only run at 800 mhz but it has the capiblity to switch to
800,1.6, and 2.0 mhz.

Version-Release number of selected component (if applicable):
Version that ships with fedora core 4.

How reproducible:
always

Steps to Reproduce:
1.Install anaconda on an amd athon 64 cpu
2.
3.
  
Actual results:
processor operating consitantly at 800 mhz.

Expected results:

processor operating at 800 or 1.6 or 2.0 mhz depending on the load.
Additional info:

I edited /etc/cpuspeed.conf 
added DRIVER="powernow-k8" to the file.


results of cat /proc/cpuinfo:
[root@starlight ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 4
model name      : AMD Athlon(tm) 64 Processor 3200+
stepping        : 10
cpu MHz         : 1994.742
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow
bogomips        : 3942.40


results of cat /proc/cpuinfo:
Comment 1 Dave Jones 2005-09-23 21:26:13 EDT
please attach output of dmesg -s 128000
Comment 2 John Mizell 2005-09-29 10:54:05 EDT
Created attachment 119424 [details]
Dmesg output

Here is the output of dmesg -s 128000
Comment 3 Dave Jones 2005-09-29 19:33:58 EDT
can you retry with the current errata kernel ? (There's actually a new one thats
due to be pushed hopefully in the next few hours at
http://people.redhat.com/davej/kernels/Fedora/FC4/ )
Comment 4 John Mizell 2005-10-05 14:18:39 EDT
I commentted out the entries of /etc/cpuspeed.conf. Then tried with kernel
2.6.13-1.1526_FC4 and no luck. 
Comment 5 Christian Iseli 2007-01-22 06:12:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Jarod Wilson 2007-01-24 10:31:04 EST
This works quite well on multiple Athlon64 and Opteron systems under FC5 and
FC6, so I'm going to go ahead and close this bug.

Note You need to log in before you can comment on or make changes to this bug.